AOWP_MethodCallJoinPoint (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.joinpoint /.AOWP_MethodCallJoinPoint
/aspect/joinpoint/MethodCallJoinPoint.class.php at line 13

# Class AOWP_MethodCallJoinPoint

    AOWP_JoinPoint
        └─AOWP_JoinPointWithArguments
           └─AOWP_MethodCallJoinPoint

public class AOWP_MethodCallJoinPoint
extends AOWP_JoinPointWithArguments

メソッド呼び出しを表すジョインポイントです。

Author:
  keiji

Field Summary
private mixed | $_invokedObject 呼び出されるオブジェクトです。
private string | $_methodName 呼び出すメソッド名です。

Fields inherited from aowp.aspect.joinpoint /.AOWP_JoinPointWithArguments
_argumentArray, _staticArgumentCount

Fields inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
_ast, _executedAdvice, _fileFullPath, _fileName, _line, _proceedFunctionName, _returnValue, _timestamp

Constructor Summary
AOWP_MethodCallJoinPoint(mixed element, mixed fileName)

Method Summary
mixed | getInvokedObject() 呼び出されるオブジェクトを取得します。
string | getMethodName() 呼び出すメソッド名を取得します。
mixed | proceed(mixed argumentArray, $argumentArray ) aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。
void | setInvokedObject(mixed invokedObject)
void | setMethodName(mixed methodName)

Methods inherited from aowp.aspect.joinpoint /.AOWP_JoinPointWithArguments
addArgument, getArgument, getArgumentArray, getStaticArgumentCount, setArgument, setStaticArgumentCount

Methods inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
getAST, getExecutedAdvice, getFileFullPath, getFileName, getFormData, getLineNumber, getReturnValue, getSessionID, getTimestamp, proceed, setAST, setExecutedAdvice, setProceedFunctionName, setReturnValue

## Field Detail

/aspect/joinpoint/MethodCallJoinPoint.class.php at line 20

### _invokedObject

`private mixed $_invokedObject`

呼び出されるオブジェクトです。

/aspect/joinpoint/MethodCallJoinPoint.class.php at line 26

### _methodName

`private string $_methodName`

呼び出すメソッド名です。

## Constructor Detail

/aspect/joinpoint/MethodCallJoinPoint.class.php at line 28

### AOWP_MethodCallJoinPoint

`public AOWP_MethodCallJoinPoint(mixed element, mixed fileName)`

## Method Detail

/aspect/joinpoint/MethodCallJoinPoint.class.php at line 44

### getInvokedObject

`public mixed getInvokedObject()`

呼び出されるオブジェクトを取得します。

/aspect/joinpoint/MethodCallJoinPoint.class.php at line 56

### getMethodName

`public string getMethodName()`

呼び出すメソッド名を取得します。

/aspect/joinpoint/MethodCallJoinPoint.class.php at line 60

### proceed

`public mixed proceed(mixed argumentArray, $argumentArray )`

aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。

/aspect/joinpoint/MethodCallJoinPoint.class.php at line 36

### setInvokedObject

`public void setInvokedObject(mixed invokedObject)`

/aspect/joinpoint/MethodCallJoinPoint.class.php at line 48

### setMethodName

`public void setMethodName(mixed methodName)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr